#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <assert.h>
#include "inout.h"
#include "invariant.h"
#include "graphe.h"
#include "connexe.h"
#include "hamiltonien.h"


typedef unsigned long long ullong;

typedef ullong picographe;

#define ONE  ( ( ullong ) 1 )

#define BIT(k)  ( ONE << (k) )



extern ullong limite;

graphe picotographe( picographe w );
void initpicographe( int n );
picographe shift( picographe w );
picographe trans( picographe w );

void sature( picographe w );
int* classification( int *nbcls);
