#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <assert.h>
#include "graphe.h"
#include "inout.h"
#include "invariant.h"
#include "commun.h"

#include "classe.h"
#include "option.h"
#include "filtre.h"


int main(int argc, char *argv[])
{

    graphe g;
    option(argc, argv);
 
    if ( ! source ) { 
	 puts("utiliser l'option -s {source}" );
	 exit(0);
    }
    

    g = inputGraphe( source );

    
    if (optprint)
	print(&g);


    if (optinv)
	invariant(&g);

    if ( test(  &g ) ) 
	    printf("OK  !" );
    else
	    printf("ko...");
 
    if (optdraw)
	Dessiner(&g, 0 );

    freeGraphe(g);
    fclose( source );
    putchar('\n');
    return 0;
}
