#ifndef GRAPHE_H
#define GRAPHE_H

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#define TODO( msg, flag ) printf( "%s:%d -> %s : %s\n", __FILE__ , __LINE__, __FUNCTION__, msg ); if ( flag ) exit(1);


typedef struct {
	int **mat;
	int  nbs;
	char ident[64];
	int  numero;   
	int *inv;
} graphe;


graphe initGraphe( int nbs );
void freeGraphe( graphe G );
int isolani ( graphe *g );
int degre(int s, graphe * g);
int arete(graphe * g);
#endif
