#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <assert.h>
#include <ctype.h>
#include "inout.h"
#include "invariant.h"
#include "graphe.h"
#include "commun.h"
#include "classe.h"
#include "option.h"
#include "filtre.h"


int main(int argc, char *argv[])
{

    int num, *table, nbcls;
    int count = 0;

    picographe w;
    graphe g;

    option(argc, argv);

    assert(optordre < 9);

    initpicographe(optordre);

    table = classification(&nbcls);

    num = 1;
    for (w = 0; w < limite; w++)
	if (table[w] == num) {
	    if (verbe)
		printf("\nnum=%d", num);
	    g = picotographe(w);
	    
	    if (optinv)
		invariant(&g);


	    if ( test(  &g  ) ) {
	    	if (optprint)
			print(&g);
		if (optdraw )
			Dessiner(&g, num);
		count++;
	    }

	    if (verbe)
		statistique(&g);
	    freeGraphe(g);
	    num++;
	}

    free(table);
    printf("\nNombre de classes   : %d", nbcls);
    printf("\nNombre de solutions : %d\n", count);
    return 0;
}
